## NAME

CURLOPT_NOBODY - do the download request without getting the body

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_NOBODY, long opt);

## DESCRIPTION

A long parameter set to 1 tells libcurl to not include the body-part in the output when doing what would otherwise be a download. For HTTP(S), this makes libcurl do a HEAD request. For most other protocols it means just not asking to transfer the body data.

Enabling this option means asking for a download but without a body.

## DEFAULT

0, the body is transferred

## PROTOCOLS

Most

## EXAMPLE

    curl = curl_easy_init();
    if(curl) {
      curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");

      /* get us the resource without a body! */
      curl_easy_setopt(curl, CURLOPT_NOBODY, 1L);

      /* Perform the request */
      curl_easy_perform(curl);
    }

## AVAILABILITY

Always

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_HTTPGET, CURLOPT_POST

This HTML page was made with roffit.